For the complete documentation index, see llms.txt. This page is also available as Markdown.

Fetch delivery sources for an order

Fetch delivery sources for an order

Required permissions: SALES_ORDER,RETURN_ORDER

post
/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/delivery-sources
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
orderUidstringRequired

Reference to an Order.

Pattern: ^[A-Za-z0-9-_]+
Body
productUidsstring[]Required
Responses
200

Example response

application/json
post/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/delivery-sources
POST /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/delivery-sources HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 24

{
  "productUids": [
    "text"
  ]
}
200

Example response

{
  "items": [
    {
      "productUid": "text",
      "sourceId": "text"
    }
  ]
}

Last updated

Was this helpful?